Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(15)

Issue 2783703002: Declare intent to use sample-aes later in the stream. (Closed)

Created:
9 months, 3 weeks ago by dougsteed
Modified:
3 months, 3 weeks ago
CC:
chromium-reviews, feature-media-reviews_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Declare intent to use sample-aes later in the stream. Allows the declaration in an unencrypted part of a stream of an intent to use sample-aes encryption later. This allows the decoding backend to be properly initialized with the appropriate encryption scheme. This involves prefixing a subset of the encryption metadata that is used to indicate encryption, but omits the key id and IV. This will typically be used in a live stream, when tuning in during an unencrypted part, e.g. a commercial. BUG=568326 Review-Url: https://chromiumcodereview.appspot.com/2783703002 Cr-Commit-Position: refs/heads/master@{#505415} Committed: https://chromium.googlesource.com/chromium/src/+/d99d354df109fa70d2cc15d2586d852d278320b2

Patch Set 1 #

Total comments: 15

Patch Set 2 : This change allows the declaration in an unencrypted part of a stream of an intent to use sample-ae… #

Patch Set 3 : tweak needed for flush #

Unified diffs Side-by-side diffs Delta from patch set Stats (+232 lines, -83 lines) Patch
M media/formats/mp2t/descriptors.h View 2 chunks +6 lines, -3 lines 0 comments Download
M media/formats/mp2t/descriptors.cc View 5 chunks +13 lines, -3 lines 0 comments Download
M media/formats/mp2t/es_parser_adts.cc View 1 chunk +8 lines, -7 lines 0 comments Download
M media/formats/mp2t/es_parser_h264.cc View 1 2 2 chunks +8 lines, -5 lines 0 comments Download
M media/formats/mp2t/mp2t_stream_parser.h View 1 6 chunks +18 lines, -3 lines 0 comments Download
M media/formats/mp2t/mp2t_stream_parser.cc View 1 2 6 chunks +141 lines, -57 lines 0 comments Download
M media/formats/mp2t/mp2t_stream_parser_unittest.cc View 1 1 chunk +13 lines, -0 lines 0 comments Download
M media/formats/mp2t/ts_section_cat.h View 2 chunks +9 lines, -1 line 0 comments Download
M media/formats/mp2t/ts_section_cat.cc View 3 chunks +11 lines, -4 lines 0 comments Download
M media/test/data/README View 1 2 1 chunk +5 lines, -0 lines 0 comments Download
A media/test/data/bear-1280x720-hls-with-CAT.bin View Binary file 0 comments Download
Trybot results:  win7_chromium_rel_ng   ios-simulator   linux_chromium_headless_rel   chromeos_daisy_chromium_compile_only_ng   cast_shell_linux   mac_chromium_compile_dbg_ng   fuchsia_compile   linux_chromium_tsan_rel_ng   linux_android_rel_ng   linux_chromium_asan_rel_ng   linux_chromium_chromeos_rel_ng   linux_chromium_rel_ng   linux_chromium_compile_dbg_ng   android_n5x_swarming_rel   android_clang_dbg_recipe   chromium_presubmit   win_clang   chromeos_amd64-generic_chromium_compile_only_ng   win7_chromium_rel_ng   android_cronet   android_arm64_dbg_recipe   android_compile_dbg   mac_chromium_rel_ng   win_chromium_compile_dbg_ng   cast_shell_android   chromium_presubmit   chromium_presubmit   linux_chromium_rel_ng   chromium_presubmit   linux_chromium_chromeos_rel_ng   linux_chromium_asan_rel_ng   linux_chromium_tsan_rel_ng   cast_shell_linux   linux_chromium_headless_rel   android_compile_dbg   win_clang   chromium_presubmit   android_arm64_dbg_recipe   linux_chromium_tsan_rel_ng   mac_chromium_compile_dbg_ng   win_chromium_compile_dbg_ng   chromeos_amd64-generic_chromium_compile_only_ng   linux_chromium_chromeos_rel_ng   linux_chromium_asan_rel_ng   android_n5x_swarming_rel   win_chromium_rel_ng   android_cronet   chromeos_daisy_chromium_compile_only_ng   linux_chromium_compile_dbg_ng   mac_chromium_rel_ng   android_clang_dbg_recipe   fuchsia_compile   linux_chromium_rel_ng   cast_shell_android   ios-simulator   linux_android_rel_ng   cast_shell_linux 

Messages

Total messages: 29 (17 generated)
xhwang
I am in the middle of some other work so I'll probably take a high ...
9 months, 2 weeks ago (2017-04-04 19:13:21 UTC) #4
servolk
https://codereview.chromium.org/2783703002/diff/1/media/formats/mp2t/mp2t_stream_parser.cc File media/formats/mp2t/mp2t_stream_parser.cc (right): https://codereview.chromium.org/2783703002/diff/1/media/formats/mp2t/mp2t_stream_parser.cc#newcode476 media/formats/mp2t/mp2t_stream_parser.cc:476: if (stream_type != kStreamTypeMpeg1Audio) && stream_type != kStreamTypeMpeg2Audio https://codereview.chromium.org/2783703002/diff/1/media/formats/mp2t/mp2t_stream_parser.h ...
9 months, 2 weeks ago (2017-04-04 20:08:18 UTC) #5
kqyang
https://codereview.chromium.org/2783703002/diff/1/media/formats/mp2t/descriptors.cc File media/formats/mp2t/descriptors.cc (left): https://codereview.chromium.org/2783703002/diff/1/media/formats/mp2t/descriptors.cc#oldcode139 media/formats/mp2t/descriptors.cc:139: RCHECK(reader.ReadBits(13, pssh_pid)); Are you expecting the inserted ca descriptor ...
9 months, 2 weeks ago (2017-04-07 23:33:44 UTC) #6
dougsteed
https://codereview.chromium.org/2783703002/diff/1/media/formats/mp2t/descriptors.cc File media/formats/mp2t/descriptors.cc (left): https://codereview.chromium.org/2783703002/diff/1/media/formats/mp2t/descriptors.cc#oldcode139 media/formats/mp2t/descriptors.cc:139: RCHECK(reader.ReadBits(13, pssh_pid)); On 2017/04/07 23:33:43, kqyang wrote: > Are ...
8 months, 3 weeks ago (2017-04-26 20:34:15 UTC) #7
kqyang
Thanks. Code looks good, but still not clear on why the encryption scheme needs to ...
8 months, 2 weeks ago (2017-05-06 00:06:12 UTC) #8
dougsteed
On 2017/05/06 00:06:12, kqyang wrote: > Thanks. Code looks good, but still not clear on ...
3 months, 3 weeks ago (2017-09-26 17:53:42 UTC) #9
kqyang
lgtm
3 months, 3 weeks ago (2017-09-26 20:31:51 UTC) #10
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2783703002/40001
3 months, 3 weeks ago (2017-09-28 14:57:07 UTC) #21
commit-bot: I haz the power
Try jobs failed on following builders: chromium_presubmit on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromium_presubmit/builds/551155)
3 months, 3 weeks ago (2017-09-28 15:07:53 UTC) #23
xhwang
rs lgtm
3 months, 3 weeks ago (2017-09-29 00:08:08 UTC) #24
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2783703002/40001
3 months, 3 weeks ago (2017-09-29 15:28:45 UTC) #26
commit-bot: I haz the power
3 months, 3 weeks ago (2017-09-29 17:49:03 UTC) #29
Message was sent while issue was closed.
Committed patchset #3 (id:40001) as
https://chromium.googlesource.com/chromium/src/+/d99d354df109fa70d2cc15d2586d...

Powered by Google App Engine
This is Rietveld 0eb02b776